// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: loadmodule/loadmodule.proto

package openfmb.loadmodule;

/**
 * <pre>
 * Specialized FSCC 61850 class.  LN: Schedule controller   Name: FSCC
 * </pre>
 *
 * Protobuf type {@code loadmodule.LoadControlFSCC}
 */
public final class LoadControlFSCC extends
    com.google.protobuf.GeneratedMessageV3 implements
    // @@protoc_insertion_point(message_implements:loadmodule.LoadControlFSCC)
    LoadControlFSCCOrBuilder {
private static final long serialVersionUID = 0L;
  // Use LoadControlFSCC.newBuilder() to construct.
  private LoadControlFSCC(com.google.protobuf.GeneratedMessageV3.Builder<?> builder) {
    super(builder);
  }
  private LoadControlFSCC() {
  }

  @java.lang.Override
  @SuppressWarnings({"unused"})
  protected java.lang.Object newInstance(
      UnusedPrivateParameter unused) {
    return new LoadControlFSCC();
  }

  public static final com.google.protobuf.Descriptors.Descriptor
      getDescriptor() {
    return openfmb.loadmodule.Loadmodule.internal_static_loadmodule_LoadControlFSCC_descriptor;
  }

  @java.lang.Override
  protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internalGetFieldAccessorTable() {
    return openfmb.loadmodule.Loadmodule.internal_static_loadmodule_LoadControlFSCC_fieldAccessorTable
        .ensureFieldAccessorsInitialized(
            openfmb.loadmodule.LoadControlFSCC.class, openfmb.loadmodule.LoadControlFSCC.Builder.class);
  }

  public static final int CONTROLFSCC_FIELD_NUMBER = 1;
  private openfmb.commonmodule.ControlFSCC controlFSCC_;
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.ControlFSCC controlFSCC = 1 [(.uml.option_parent_message) = true];</code>
   * @return Whether the controlFSCC field is set.
   */
  @java.lang.Override
  public boolean hasControlFSCC() {
    return controlFSCC_ != null;
  }
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.ControlFSCC controlFSCC = 1 [(.uml.option_parent_message) = true];</code>
   * @return The controlFSCC.
   */
  @java.lang.Override
  public openfmb.commonmodule.ControlFSCC getControlFSCC() {
    return controlFSCC_ == null ? openfmb.commonmodule.ControlFSCC.getDefaultInstance() : controlFSCC_;
  }
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.ControlFSCC controlFSCC = 1 [(.uml.option_parent_message) = true];</code>
   */
  @java.lang.Override
  public openfmb.commonmodule.ControlFSCCOrBuilder getControlFSCCOrBuilder() {
    return controlFSCC_ == null ? openfmb.commonmodule.ControlFSCC.getDefaultInstance() : controlFSCC_;
  }

  public static final int LOADCONTROLSCHEDULEFSCH_FIELD_NUMBER = 2;
  private openfmb.loadmodule.LoadControlScheduleFSCH loadControlScheduleFSCH_;
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.loadmodule.LoadControlScheduleFSCH loadControlScheduleFSCH = 2;</code>
   * @return Whether the loadControlScheduleFSCH field is set.
   */
  @java.lang.Override
  public boolean hasLoadControlScheduleFSCH() {
    return loadControlScheduleFSCH_ != null;
  }
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.loadmodule.LoadControlScheduleFSCH loadControlScheduleFSCH = 2;</code>
   * @return The loadControlScheduleFSCH.
   */
  @java.lang.Override
  public openfmb.loadmodule.LoadControlScheduleFSCH getLoadControlScheduleFSCH() {
    return loadControlScheduleFSCH_ == null ? openfmb.loadmodule.LoadControlScheduleFSCH.getDefaultInstance() : loadControlScheduleFSCH_;
  }
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.loadmodule.LoadControlScheduleFSCH loadControlScheduleFSCH = 2;</code>
   */
  @java.lang.Override
  public openfmb.loadmodule.LoadControlScheduleFSCHOrBuilder getLoadControlScheduleFSCHOrBuilder() {
    return loadControlScheduleFSCH_ == null ? openfmb.loadmodule.LoadControlScheduleFSCH.getDefaultInstance() : loadControlScheduleFSCH_;
  }

  private byte memoizedIsInitialized = -1;
  @java.lang.Override
  public final boolean isInitialized() {
    byte isInitialized = memoizedIsInitialized;
    if (isInitialized == 1) return true;
    if (isInitialized == 0) return false;

    memoizedIsInitialized = 1;
    return true;
  }

  @java.lang.Override
  public void writeTo(com.google.protobuf.CodedOutputStream output)
                      throws java.io.IOException {
    if (controlFSCC_ != null) {
      output.writeMessage(1, getControlFSCC());
    }
    if (loadControlScheduleFSCH_ != null) {
      output.writeMessage(2, getLoadControlScheduleFSCH());
    }
    getUnknownFields().writeTo(output);
  }

  @java.lang.Override
  public int getSerializedSize() {
    int size = memoizedSize;
    if (size != -1) return size;

    size = 0;
    if (controlFSCC_ != null) {
      size += com.google.protobuf.CodedOutputStream
        .computeMessageSize(1, getControlFSCC());
    }
    if (loadControlScheduleFSCH_ != null) {
      size += com.google.protobuf.CodedOutputStream
        .computeMessageSize(2, getLoadControlScheduleFSCH());
    }
    size += getUnknownFields().getSerializedSize();
    memoizedSize = size;
    return size;
  }

  @java.lang.Override
  public boolean equals(final java.lang.Object obj) {
    if (obj == this) {
     return true;
    }
    if (!(obj instanceof openfmb.loadmodule.LoadControlFSCC)) {
      return super.equals(obj);
    }
    openfmb.loadmodule.LoadControlFSCC other = (openfmb.loadmodule.LoadControlFSCC) obj;

    if (hasControlFSCC() != other.hasControlFSCC()) return false;
    if (hasControlFSCC()) {
      if (!getControlFSCC()
          .equals(other.getControlFSCC())) return false;
    }
    if (hasLoadControlScheduleFSCH() != other.hasLoadControlScheduleFSCH()) return false;
    if (hasLoadControlScheduleFSCH()) {
      if (!getLoadControlScheduleFSCH()
          .equals(other.getLoadControlScheduleFSCH())) return false;
    }
    if (!getUnknownFields().equals(other.getUnknownFields())) return false;
    return true;
  }

  @java.lang.Override
  public int hashCode() {
    if (memoizedHashCode != 0) {
      return memoizedHashCode;
    }
    int hash = 41;
    hash = (19 * hash) + getDescriptor().hashCode();
    if (hasControlFSCC()) {
      hash = (37 * hash) + CONTROLFSCC_FIELD_NUMBER;
      hash = (53 * hash) + getControlFSCC().hashCode();
    }
    if (hasLoadControlScheduleFSCH()) {
      hash = (37 * hash) + LOADCONTROLSCHEDULEFSCH_FIELD_NUMBER;
      hash = (53 * hash) + getLoadControlScheduleFSCH().hashCode();
    }
    hash = (29 * hash) + getUnknownFields().hashCode();
    memoizedHashCode = hash;
    return hash;
  }

  public static openfmb.loadmodule.LoadControlFSCC parseFrom(
      java.nio.ByteBuffer data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data);
  }
  public static openfmb.loadmodule.LoadControlFSCC parseFrom(
      java.nio.ByteBuffer data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data, extensionRegistry);
  }
  public static openfmb.loadmodule.LoadControlFSCC parseFrom(
      com.google.protobuf.ByteString data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data);
  }
  public static openfmb.loadmodule.LoadControlFSCC parseFrom(
      com.google.protobuf.ByteString data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data, extensionRegistry);
  }
  public static openfmb.loadmodule.LoadControlFSCC parseFrom(byte[] data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data);
  }
  public static openfmb.loadmodule.LoadControlFSCC parseFrom(
      byte[] data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data, extensionRegistry);
  }
  public static openfmb.loadmodule.LoadControlFSCC parseFrom(java.io.InputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input);
  }
  public static openfmb.loadmodule.LoadControlFSCC parseFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input, extensionRegistry);
  }
  public static openfmb.loadmodule.LoadControlFSCC parseDelimitedFrom(java.io.InputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseDelimitedWithIOException(PARSER, input);
  }
  public static openfmb.loadmodule.LoadControlFSCC parseDelimitedFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseDelimitedWithIOException(PARSER, input, extensionRegistry);
  }
  public static openfmb.loadmodule.LoadControlFSCC parseFrom(
      com.google.protobuf.CodedInputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input);
  }
  public static openfmb.loadmodule.LoadControlFSCC parseFrom(
      com.google.protobuf.CodedInputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input, extensionRegistry);
  }

  @java.lang.Override
  public Builder newBuilderForType() { return newBuilder(); }
  public static Builder newBuilder() {
    return DEFAULT_INSTANCE.toBuilder();
  }
  public static Builder newBuilder(openfmb.loadmodule.LoadControlFSCC prototype) {
    return DEFAULT_INSTANCE.toBuilder().mergeFrom(prototype);
  }
  @java.lang.Override
  public Builder toBuilder() {
    return this == DEFAULT_INSTANCE
        ? new Builder() : new Builder().mergeFrom(this);
  }

  @java.lang.Override
  protected Builder newBuilderForType(
      com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
    Builder builder = new Builder(parent);
    return builder;
  }
  /**
   * <pre>
   * Specialized FSCC 61850 class.  LN: Schedule controller   Name: FSCC
   * </pre>
   *
   * Protobuf type {@code loadmodule.LoadControlFSCC}
   */
  public static final class Builder extends
      com.google.protobuf.GeneratedMessageV3.Builder<Builder> implements
      // @@protoc_insertion_point(builder_implements:loadmodule.LoadControlFSCC)
      openfmb.loadmodule.LoadControlFSCCOrBuilder {
    public static final com.google.protobuf.Descriptors.Descriptor
        getDescriptor() {
      return openfmb.loadmodule.Loadmodule.internal_static_loadmodule_LoadControlFSCC_descriptor;
    }

    @java.lang.Override
    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
        internalGetFieldAccessorTable() {
      return openfmb.loadmodule.Loadmodule.internal_static_loadmodule_LoadControlFSCC_fieldAccessorTable
          .ensureFieldAccessorsInitialized(
              openfmb.loadmodule.LoadControlFSCC.class, openfmb.loadmodule.LoadControlFSCC.Builder.class);
    }

    // Construct using openfmb.loadmodule.LoadControlFSCC.newBuilder()
    private Builder() {

    }

    private Builder(
        com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
      super(parent);

    }
    @java.lang.Override
    public Builder clear() {
      super.clear();
      bitField0_ = 0;
      controlFSCC_ = null;
      if (controlFSCCBuilder_ != null) {
        controlFSCCBuilder_.dispose();
        controlFSCCBuilder_ = null;
      }
      loadControlScheduleFSCH_ = null;
      if (loadControlScheduleFSCHBuilder_ != null) {
        loadControlScheduleFSCHBuilder_.dispose();
        loadControlScheduleFSCHBuilder_ = null;
      }
      return this;
    }

    @java.lang.Override
    public com.google.protobuf.Descriptors.Descriptor
        getDescriptorForType() {
      return openfmb.loadmodule.Loadmodule.internal_static_loadmodule_LoadControlFSCC_descriptor;
    }

    @java.lang.Override
    public openfmb.loadmodule.LoadControlFSCC getDefaultInstanceForType() {
      return openfmb.loadmodule.LoadControlFSCC.getDefaultInstance();
    }

    @java.lang.Override
    public openfmb.loadmodule.LoadControlFSCC build() {
      openfmb.loadmodule.LoadControlFSCC result = buildPartial();
      if (!result.isInitialized()) {
        throw newUninitializedMessageException(result);
      }
      return result;
    }

    @java.lang.Override
    public openfmb.loadmodule.LoadControlFSCC buildPartial() {
      openfmb.loadmodule.LoadControlFSCC result = new openfmb.loadmodule.LoadControlFSCC(this);
      if (bitField0_ != 0) { buildPartial0(result); }
      onBuilt();
      return result;
    }

    private void buildPartial0(openfmb.loadmodule.LoadControlFSCC result) {
      int from_bitField0_ = bitField0_;
      if (((from_bitField0_ & 0x00000001) != 0)) {
        result.controlFSCC_ = controlFSCCBuilder_ == null
            ? controlFSCC_
            : controlFSCCBuilder_.build();
      }
      if (((from_bitField0_ & 0x00000002) != 0)) {
        result.loadControlScheduleFSCH_ = loadControlScheduleFSCHBuilder_ == null
            ? loadControlScheduleFSCH_
            : loadControlScheduleFSCHBuilder_.build();
      }
    }

    @java.lang.Override
    public Builder mergeFrom(com.google.protobuf.Message other) {
      if (other instanceof openfmb.loadmodule.LoadControlFSCC) {
        return mergeFrom((openfmb.loadmodule.LoadControlFSCC)other);
      } else {
        super.mergeFrom(other);
        return this;
      }
    }

    public Builder mergeFrom(openfmb.loadmodule.LoadControlFSCC other) {
      if (other == openfmb.loadmodule.LoadControlFSCC.getDefaultInstance()) return this;
      if (other.hasControlFSCC()) {
        mergeControlFSCC(other.getControlFSCC());
      }
      if (other.hasLoadControlScheduleFSCH()) {
        mergeLoadControlScheduleFSCH(other.getLoadControlScheduleFSCH());
      }
      this.mergeUnknownFields(other.getUnknownFields());
      onChanged();
      return this;
    }

    @java.lang.Override
    public final boolean isInitialized() {
      return true;
    }

    @java.lang.Override
    public Builder mergeFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      if (extensionRegistry == null) {
        throw new java.lang.NullPointerException();
      }
      try {
        boolean done = false;
        while (!done) {
          int tag = input.readTag();
          switch (tag) {
            case 0:
              done = true;
              break;
            case 10: {
              input.readMessage(
                  getControlFSCCFieldBuilder().getBuilder(),
                  extensionRegistry);
              bitField0_ |= 0x00000001;
              break;
            } // case 10
            case 18: {
              input.readMessage(
                  getLoadControlScheduleFSCHFieldBuilder().getBuilder(),
                  extensionRegistry);
              bitField0_ |= 0x00000002;
              break;
            } // case 18
            default: {
              if (!super.parseUnknownField(input, extensionRegistry, tag)) {
                done = true; // was an endgroup tag
              }
              break;
            } // default:
          } // switch (tag)
        } // while (!done)
      } catch (com.google.protobuf.InvalidProtocolBufferException e) {
        throw e.unwrapIOException();
      } finally {
        onChanged();
      } // finally
      return this;
    }
    private int bitField0_;

    private openfmb.commonmodule.ControlFSCC controlFSCC_;
    private com.google.protobuf.SingleFieldBuilderV3<
        openfmb.commonmodule.ControlFSCC, openfmb.commonmodule.ControlFSCC.Builder, openfmb.commonmodule.ControlFSCCOrBuilder> controlFSCCBuilder_;
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.ControlFSCC controlFSCC = 1 [(.uml.option_parent_message) = true];</code>
     * @return Whether the controlFSCC field is set.
     */
    public boolean hasControlFSCC() {
      return ((bitField0_ & 0x00000001) != 0);
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.ControlFSCC controlFSCC = 1 [(.uml.option_parent_message) = true];</code>
     * @return The controlFSCC.
     */
    public openfmb.commonmodule.ControlFSCC getControlFSCC() {
      if (controlFSCCBuilder_ == null) {
        return controlFSCC_ == null ? openfmb.commonmodule.ControlFSCC.getDefaultInstance() : controlFSCC_;
      } else {
        return controlFSCCBuilder_.getMessage();
      }
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.ControlFSCC controlFSCC = 1 [(.uml.option_parent_message) = true];</code>
     */
    public Builder setControlFSCC(openfmb.commonmodule.ControlFSCC value) {
      if (controlFSCCBuilder_ == null) {
        if (value == null) {
          throw new NullPointerException();
        }
        controlFSCC_ = value;
      } else {
        controlFSCCBuilder_.setMessage(value);
      }
      bitField0_ |= 0x00000001;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.ControlFSCC controlFSCC = 1 [(.uml.option_parent_message) = true];</code>
     */
    public Builder setControlFSCC(
        openfmb.commonmodule.ControlFSCC.Builder builderForValue) {
      if (controlFSCCBuilder_ == null) {
        controlFSCC_ = builderForValue.build();
      } else {
        controlFSCCBuilder_.setMessage(builderForValue.build());
      }
      bitField0_ |= 0x00000001;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.ControlFSCC controlFSCC = 1 [(.uml.option_parent_message) = true];</code>
     */
    public Builder mergeControlFSCC(openfmb.commonmodule.ControlFSCC value) {
      if (controlFSCCBuilder_ == null) {
        if (((bitField0_ & 0x00000001) != 0) &&
          controlFSCC_ != null &&
          controlFSCC_ != openfmb.commonmodule.ControlFSCC.getDefaultInstance()) {
          getControlFSCCBuilder().mergeFrom(value);
        } else {
          controlFSCC_ = value;
        }
      } else {
        controlFSCCBuilder_.mergeFrom(value);
      }
      bitField0_ |= 0x00000001;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.ControlFSCC controlFSCC = 1 [(.uml.option_parent_message) = true];</code>
     */
    public Builder clearControlFSCC() {
      bitField0_ = (bitField0_ & ~0x00000001);
      controlFSCC_ = null;
      if (controlFSCCBuilder_ != null) {
        controlFSCCBuilder_.dispose();
        controlFSCCBuilder_ = null;
      }
      onChanged();
      return this;
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.ControlFSCC controlFSCC = 1 [(.uml.option_parent_message) = true];</code>
     */
    public openfmb.commonmodule.ControlFSCC.Builder getControlFSCCBuilder() {
      bitField0_ |= 0x00000001;
      onChanged();
      return getControlFSCCFieldBuilder().getBuilder();
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.ControlFSCC controlFSCC = 1 [(.uml.option_parent_message) = true];</code>
     */
    public openfmb.commonmodule.ControlFSCCOrBuilder getControlFSCCOrBuilder() {
      if (controlFSCCBuilder_ != null) {
        return controlFSCCBuilder_.getMessageOrBuilder();
      } else {
        return controlFSCC_ == null ?
            openfmb.commonmodule.ControlFSCC.getDefaultInstance() : controlFSCC_;
      }
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.ControlFSCC controlFSCC = 1 [(.uml.option_parent_message) = true];</code>
     */
    private com.google.protobuf.SingleFieldBuilderV3<
        openfmb.commonmodule.ControlFSCC, openfmb.commonmodule.ControlFSCC.Builder, openfmb.commonmodule.ControlFSCCOrBuilder> 
        getControlFSCCFieldBuilder() {
      if (controlFSCCBuilder_ == null) {
        controlFSCCBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
            openfmb.commonmodule.ControlFSCC, openfmb.commonmodule.ControlFSCC.Builder, openfmb.commonmodule.ControlFSCCOrBuilder>(
                getControlFSCC(),
                getParentForChildren(),
                isClean());
        controlFSCC_ = null;
      }
      return controlFSCCBuilder_;
    }

    private openfmb.loadmodule.LoadControlScheduleFSCH loadControlScheduleFSCH_;
    private com.google.protobuf.SingleFieldBuilderV3<
        openfmb.loadmodule.LoadControlScheduleFSCH, openfmb.loadmodule.LoadControlScheduleFSCH.Builder, openfmb.loadmodule.LoadControlScheduleFSCHOrBuilder> loadControlScheduleFSCHBuilder_;
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.loadmodule.LoadControlScheduleFSCH loadControlScheduleFSCH = 2;</code>
     * @return Whether the loadControlScheduleFSCH field is set.
     */
    public boolean hasLoadControlScheduleFSCH() {
      return ((bitField0_ & 0x00000002) != 0);
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.loadmodule.LoadControlScheduleFSCH loadControlScheduleFSCH = 2;</code>
     * @return The loadControlScheduleFSCH.
     */
    public openfmb.loadmodule.LoadControlScheduleFSCH getLoadControlScheduleFSCH() {
      if (loadControlScheduleFSCHBuilder_ == null) {
        return loadControlScheduleFSCH_ == null ? openfmb.loadmodule.LoadControlScheduleFSCH.getDefaultInstance() : loadControlScheduleFSCH_;
      } else {
        return loadControlScheduleFSCHBuilder_.getMessage();
      }
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.loadmodule.LoadControlScheduleFSCH loadControlScheduleFSCH = 2;</code>
     */
    public Builder setLoadControlScheduleFSCH(openfmb.loadmodule.LoadControlScheduleFSCH value) {
      if (loadControlScheduleFSCHBuilder_ == null) {
        if (value == null) {
          throw new NullPointerException();
        }
        loadControlScheduleFSCH_ = value;
      } else {
        loadControlScheduleFSCHBuilder_.setMessage(value);
      }
      bitField0_ |= 0x00000002;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.loadmodule.LoadControlScheduleFSCH loadControlScheduleFSCH = 2;</code>
     */
    public Builder setLoadControlScheduleFSCH(
        openfmb.loadmodule.LoadControlScheduleFSCH.Builder builderForValue) {
      if (loadControlScheduleFSCHBuilder_ == null) {
        loadControlScheduleFSCH_ = builderForValue.build();
      } else {
        loadControlScheduleFSCHBuilder_.setMessage(builderForValue.build());
      }
      bitField0_ |= 0x00000002;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.loadmodule.LoadControlScheduleFSCH loadControlScheduleFSCH = 2;</code>
     */
    public Builder mergeLoadControlScheduleFSCH(openfmb.loadmodule.LoadControlScheduleFSCH value) {
      if (loadControlScheduleFSCHBuilder_ == null) {
        if (((bitField0_ & 0x00000002) != 0) &&
          loadControlScheduleFSCH_ != null &&
          loadControlScheduleFSCH_ != openfmb.loadmodule.LoadControlScheduleFSCH.getDefaultInstance()) {
          getLoadControlScheduleFSCHBuilder().mergeFrom(value);
        } else {
          loadControlScheduleFSCH_ = value;
        }
      } else {
        loadControlScheduleFSCHBuilder_.mergeFrom(value);
      }
      bitField0_ |= 0x00000002;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.loadmodule.LoadControlScheduleFSCH loadControlScheduleFSCH = 2;</code>
     */
    public Builder clearLoadControlScheduleFSCH() {
      bitField0_ = (bitField0_ & ~0x00000002);
      loadControlScheduleFSCH_ = null;
      if (loadControlScheduleFSCHBuilder_ != null) {
        loadControlScheduleFSCHBuilder_.dispose();
        loadControlScheduleFSCHBuilder_ = null;
      }
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.loadmodule.LoadControlScheduleFSCH loadControlScheduleFSCH = 2;</code>
     */
    public openfmb.loadmodule.LoadControlScheduleFSCH.Builder getLoadControlScheduleFSCHBuilder() {
      bitField0_ |= 0x00000002;
      onChanged();
      return getLoadControlScheduleFSCHFieldBuilder().getBuilder();
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.loadmodule.LoadControlScheduleFSCH loadControlScheduleFSCH = 2;</code>
     */
    public openfmb.loadmodule.LoadControlScheduleFSCHOrBuilder getLoadControlScheduleFSCHOrBuilder() {
      if (loadControlScheduleFSCHBuilder_ != null) {
        return loadControlScheduleFSCHBuilder_.getMessageOrBuilder();
      } else {
        return loadControlScheduleFSCH_ == null ?
            openfmb.loadmodule.LoadControlScheduleFSCH.getDefaultInstance() : loadControlScheduleFSCH_;
      }
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.loadmodule.LoadControlScheduleFSCH loadControlScheduleFSCH = 2;</code>
     */
    private com.google.protobuf.SingleFieldBuilderV3<
        openfmb.loadmodule.LoadControlScheduleFSCH, openfmb.loadmodule.LoadControlScheduleFSCH.Builder, openfmb.loadmodule.LoadControlScheduleFSCHOrBuilder> 
        getLoadControlScheduleFSCHFieldBuilder() {
      if (loadControlScheduleFSCHBuilder_ == null) {
        loadControlScheduleFSCHBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
            openfmb.loadmodule.LoadControlScheduleFSCH, openfmb.loadmodule.LoadControlScheduleFSCH.Builder, openfmb.loadmodule.LoadControlScheduleFSCHOrBuilder>(
                getLoadControlScheduleFSCH(),
                getParentForChildren(),
                isClean());
        loadControlScheduleFSCH_ = null;
      }
      return loadControlScheduleFSCHBuilder_;
    }
    @java.lang.Override
    public final Builder setUnknownFields(
        final com.google.protobuf.UnknownFieldSet unknownFields) {
      return super.setUnknownFields(unknownFields);
    }

    @java.lang.Override
    public final Builder mergeUnknownFields(
        final com.google.protobuf.UnknownFieldSet unknownFields) {
      return super.mergeUnknownFields(unknownFields);
    }


    // @@protoc_insertion_point(builder_scope:loadmodule.LoadControlFSCC)
  }

  // @@protoc_insertion_point(class_scope:loadmodule.LoadControlFSCC)
  private static final openfmb.loadmodule.LoadControlFSCC DEFAULT_INSTANCE;
  static {
    DEFAULT_INSTANCE = new openfmb.loadmodule.LoadControlFSCC();
  }

  public static openfmb.loadmodule.LoadControlFSCC getDefaultInstance() {
    return DEFAULT_INSTANCE;
  }

  private static final com.google.protobuf.Parser<LoadControlFSCC>
      PARSER = new com.google.protobuf.AbstractParser<LoadControlFSCC>() {
    @java.lang.Override
    public LoadControlFSCC parsePartialFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      Builder builder = newBuilder();
      try {
        builder.mergeFrom(input, extensionRegistry);
      } catch (com.google.protobuf.InvalidProtocolBufferException e) {
        throw e.setUnfinishedMessage(builder.buildPartial());
      } catch (com.google.protobuf.UninitializedMessageException e) {
        throw e.asInvalidProtocolBufferException().setUnfinishedMessage(builder.buildPartial());
      } catch (java.io.IOException e) {
        throw new com.google.protobuf.InvalidProtocolBufferException(e)
            .setUnfinishedMessage(builder.buildPartial());
      }
      return builder.buildPartial();
    }
  };

  public static com.google.protobuf.Parser<LoadControlFSCC> parser() {
    return PARSER;
  }

  @java.lang.Override
  public com.google.protobuf.Parser<LoadControlFSCC> getParserForType() {
    return PARSER;
  }

  @java.lang.Override
  public openfmb.loadmodule.LoadControlFSCC getDefaultInstanceForType() {
    return DEFAULT_INSTANCE;
  }

}

